- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# osgdem.cpp File Reference

`#include <osg/Texture2D>`
`#include <osg/Geometry>`
`#include <osg/State>`
`#include <osg/ShapeDrawable>`
`#include <osgDB/ReadFile>`
`#include <osgDB/WriteFile>`
`#include <osgDB/ImageOptions>`
`#include <osgDB/FileNameUtils>`
`#include <osgDB/FileUtils>`
`#include <osgUtil/Optimizer>`
`#include <osgUtil/TriStripVisitor>`
`#include <osgUtil/SmoothingVisitor>`
`#include <osgUtil/TangentSpaceGenerator>`
`#include <osgFX/BumpMapping>`
`#include <osgProducer/Viewer>`
`#include <osg/Switch>`
`#include <osgTerrain/DataSet>`

Include dependency graph for osgdem.cpp:

## Functions
osg::Matrixd | computeGeoTransForRange (double xMin, double xMax, double yMin, double yMax)
void | ellipsodeTransformTest (double latitude, double longitude, double height)
void | processFile (std::string filename, osgTerrain::DataSet::Source::Type type, std::string currentCS, osg::Matrixd &geoTransform, bool geoTransformSet, bool geoTransformScale, bool minmaxLevelSet, unsigned int min_level, unsigned int max_level, osg::ref_ptr< osgTerrain::DataSet > dataset)
int | main (int argc, char **argv)

## Function Documentation

osg::Matrixd computeGeoTransForRange | ( | double | xMin,
|  | double | xMax,
|  | double | yMin,
|  | double | yMax
| ) |

void ellipsodeTransformTest | ( | double | latitude,
|  | double | longitude,
|  | double | height
| ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |

void processFile | ( | std::string | filename,
|  | osgTerrain::DataSet::Source::Type | type,
|  | std::string | currentCS,
|  | osg::Matrixd & | geoTransform,
|  | bool | geoTransformSet,
|  | bool | geoTransformScale,
|  | bool | minmaxLevelSet,
|  | unsigned int | min_level,
|  | unsigned int | max_level,
|  | osg::ref_ptr< osgTerrain::DataSet > | dataset
| ) |